"""empty message

Revision ID: 64d79390e5bf
Revises: 
Create Date: 2020-03-29 20:46:15.432277

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '64d79390e5bf'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('actors',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(), nullable=True),
    sa.Column('gender', sa.String(), nullable=True),
    sa.Column('age', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='agency'
    )
    op.create_table('movies',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('title', sa.String(), nullable=True),
    sa.Column('release_date', sa.Date(), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='agency'
    )
    op.create_table('performances',
    sa.Column('movie_id', sa.Integer(), nullable=True),
    sa.Column('actor_id', sa.Integer(), nullable=True),
    sa.Column('actor_fee', sa.Float(), nullable=True),
    sa.ForeignKeyConstraint(['actor_id'], ['agency.actors.id'], ),
    sa.ForeignKeyConstraint(['movie_id'], ['agency.movies.id'], ),
    schema='agency'
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('performances', schema='agency')
    op.drop_table('movies', schema='agency')
    op.drop_table('actors', schema='agency')
    # ### end Alembic commands ###
